taffybar-0.4.6: A desktop bar similar to xmobar, but with more GUI

Safe Haskell | None
Language | Haskell2010

System.Taffybar.MPRIS

Description

This is a "Now Playing"-style widget that listens for MPRIS events on DBus. Various media players implement this. This widget only works with version 1 of the MPRIS protocol (http:/www.mpris.org1.0/spec.html). Support for version 2 will be in a separate widget.

# Documentation

data TrackInfo Source #

Constructors

TrackInfo |

Fields

- trackArtist :: Maybe String

  Artist name, if available.

- trackTitle :: Maybe String

  Track name, if available.

- trackAlbum :: Maybe String

  Album name, if available.

data MPRISConfig Source #

Constructors

MPRISConfig |

Fields

- trackLabel :: TrackInfo -> String

  Calculate a label to display.

defaultMPRISConfig :: MPRISConfig Source #

mprisNew :: MPRISConfig -> IO Widget Source #